/*
 * @OSF_FREE_FREE_COPYRIGHT@
 * 
 */
/*
 * HISTORY
 * $Log: stubs.c,v $
 * Revision 1.1.2.4  1996/10/01  16:36:03  barbou
 * 	Upgrade to latest linux-ppc code.
 * 	[1996/10/01  16:34:45  barbou]
 *
 * Revision 1.1.2.3  1996/09/27  22:30:51  barbou
 * 	Merged up to linux-2.0.21.
 * 	[1996/09/27  22:01:38  barbou]
 * 
 * Revision 1.1.2.2  1996/09/19  14:39:33  barbou
 * 	Changed OSFMACH3 conditionals to CONFIG_OSFMACH3 and
 * 	make sure that the configuration header file is included.
 * 	[1996/09/19  14:32:44  barbou]
 * 
 * Revision 1.1.2.1  1996/09/18  14:20:18  barbou
 * 	Created.
 * 	[1996/09/16  15:59:58  barbou]
 * 
 * $EndLog$
 */

#include <linux/config.h>
#include <linux/in.h>
#include <linux/errno.h>

#ifdef	CONFIG_OSFMACH3
#include <linux/kernel.h>
#endif	/* CONFIG_OSFMACH3 */

#ifdef	CONFIG_OSFMACH3
int
#else	/* CONFIG_OSFMACH3 */
void
#endif	/* CONFIG_OSFMACH3 */
 sys_iopl(void) 
{ printk("sys_iopl!\n");  return (ENOSYS); }

#ifdef	CONFIG_OSFMACH3
int
#else	/* CONFIG_OSFMACH3 */
void
#endif	/* CONFIG_OSFMACH3 */
 sys_vm86(void)
{ printk("sys_vm86!\n");  return (ENOSYS); }

#ifdef	CONFIG_OSFMACH3
int
#else	/* CONFIG_OSFMACH3 */
void
#endif	/* CONFIG_OSFMACH3 */
 sys_modify_ldt(void)
{ printk("sys_modify_ldt!\n");  return (ENOSYS); }

#ifdef	CONFIG_OSFMACH3
int
#else	/* CONFIG_OSFMACH3 */
void
#endif	/* CONFIG_OSFMACH3 */
 sys_newselect(void)
{ printk("sys_newselect!\n");  return (ENOSYS); }

#ifndef	CONFIG_OSFMACH3
halt()
{
	_printk("\n...Halt!\n");
	printk("\n...Halt!\n");
	_do_halt();
}

_panic(char *msg)
{
	_printk("Panic: %s\n", msg);
	printk("Panic: %s\n", msg);
	abort();
}

_warn(char *msg)
{
	_printk("*** Warning: %s UNIMPLEMENTED!\n", msg);
}


void
saved_command_line(void)
{
	panic("saved_command_line");
}

void
KSTK_EIP(void)
{
	panic("KSTK_EIP");
}

void
KSTK_ESP(void)
{
	panic("KSTK_ESP");
}

#ifndef CONFIG_MODULES
void
scsi_register_module(void)
{
	panic("scsi_register_module");
}

void
scsi_unregister_module(void)
{
	panic("scsi_unregister_module");
}
#endif
#endif	/* CONFIG_OSFMACH3 */


