/*
 * @OSF_FREE_FREE_COPYRIGHT@
 * 
 */
/*
 * HISTORY
 * $Log: byteorder.h,v $
 * Revision 1.1.2.2  1997/07/04  07:10:45  bruel
 * 	Redefined __BIG_ENDIAN to avoid warnings.
 * 	[97/06/12            bruel]
 *
 * Revision 1.1.2.1  1997/02/27  11:10:19  bruel
 * 	First revision
 * 	[1997/02/27  11:00:56  bruel]
 * 
 * $EndLog$
 */
#ifndef _MACHINE_BYTEORDER_H
#define _MACHINE_BYTEORDER_H

#ifndef __BIG_ENDIAN
#define __BIG_ENDIAN 4321
#endif

#ifndef __BIG_ENDIAN_BITFIELD
#define __BIG_ENDIAN_BITFIELD
#endif

#define ntohl(x) (x)
#define ntohs(x) (x)
#define htonl(x) (x)
#define htons(x) (x)

#endif /* !(_MACHINE_BYTEORDER_H) */

