/*
 * @OSF_FREE_FREE_COPYRIGHT@
 * 
 */
/*
 * HISTORY
 * $Log: system.h,v $
 * Revision 1.1.2.1  1996/09/09  16:47:42  barbou
 * 	Added definition for mb().
 * 	[96/08/21            barbou]
 *
 * 	Created.
 * 	[1996/08/21  13:38:07  barbou]
 *
 * $EndLog$
 */

#ifndef _ASM_OSFMACH3_I386_SYSTEM_H
#define _ASM_OSFMACH3_I386_SYSTEM_H

#include <osfmach3/system.h>

#define xchg(ptr,x) ((__typeof__(*(ptr)))__xchg((unsigned long)(x),(ptr),sizeof(*(ptr))))
#define tas(ptr) (xchg((ptr),1))

struct __xchg_dummy { unsigned long a[100]; };
#define __xg(x) ((struct __xchg_dummy *)(x))

static inline unsigned long __xchg(unsigned long x, void * ptr, int size)
{
	switch (size) {
		case 1:
			__asm__("xchgb %b0,%1"
				:"=q" (x)
				:"m" (*__xg(ptr)), "0" (x)
				:"memory");
			break;
		case 2:
			__asm__("xchgw %w0,%1"
				:"=r" (x)
				:"m" (*__xg(ptr)), "0" (x)
				:"memory");
			break;
		case 4:
			__asm__("xchgl %0,%1"
				:"=r" (x)
				:"m" (*__xg(ptr)), "0" (x)
				:"memory");
			break;
	}
	return x;
}

#define mb()	__asm__ __volatile__ ("" : : :"memory")

#endif	/* _ASM_OSFMACH3_I386_SYSTEM_H */
