/*
 * @OSF_FREE_FREE_COPYRIGHT@
 * 
 */
/*
 * HISTORY
 * $Log: time.c,v $
 * Revision 1.1.2.1  1996/09/09  17:17:12  barbou
 * 	Created.
 * 	[1996/09/04  16:00:51  barbou]
 *
 * $EndLog$
 */

/*
 * Machine-independent routines from arch/.../kernel/time.c.
 */

#include <mach/mach_interface.h>
#include <osfmach3/mach3_debug.h>
#include <osfmach3/mach_init.h>

#include <linux/sched.h>

void do_gettimeofday(struct timeval *tv)
{
	osfmach3_get_time(&xtime);
	*tv = xtime;
}

void do_settimeofday(struct timeval *tv)
{
	xtime = *tv;
	osfmach3_set_time(&xtime);
}

void time_init(void)
{
	osfmach3_get_time(&xtime);
}
