/*
 * Copyright 1996 1995 by Open Software Foundation, Inc. 1997 1996 1995 1994 1993 1992 1991  
 *              All Rights Reserved 
 *  
 * Permission to use, copy, modify, and distribute this software and 
 * its documentation for any purpose and without fee is hereby granted, 
 * provided that the above copyright notice appears in all copies and 
 * that both the copyright notice and this permission notice appear in 
 * supporting documentation. 
 *  
 * OSF DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE 
 * INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS 
 * FOR A PARTICULAR PURPOSE. 
 *  
 * IN NO EVENT SHALL OSF BE LIABLE FOR ANY SPECIAL, INDIRECT, OR 
 * CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM 
 * LOSS OF USE, DATA OR PROFITS, WHETHER IN ACTION OF CONTRACT, 
 * NEGLIGENCE, OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION 
 * WITH THE USE OR PERFORMANCE OF THIS SOFTWARE. 
 */
/*
 * MkLinux
 */
/* CMU_HIST */
/*
 * Revision 2.6  91/06/19  11:47:39  rvb
 * 	File moved here from mips/PMAX since it tries to be generic.
 * 	[91/06/04            rvb]
 * 
 * Revision 2.5  91/05/14  17:22:39  mrt
 * 	Correcting copyright
 * 
 * Revision 2.4  91/02/05  17:41:33  mrt
 * 	Changed to use new Mach copyright
 * 	[91/02/02  12:12:11  mrt]
 * 
 * Revision 2.3  90/12/05  23:31:38  af
 * 	Created.
 * 	[90/12/03  23:20:48  af]
 * 
 */
/* CMU_ENDHIST */
/* 
 * Mach Operating System
 * Copyright (c) 1991,1990,1989 Carnegie Mellon University
 * All Rights Reserved.
 * 
 * Permission to use, copy, modify and distribute this software and its
 * documentation is hereby granted, provided that both the copyright
 * notice and this permission notice appear in all copies of the
 * software, derivative works or modified versions, and any portions
 * thereof, and that both notices appear in supporting documentation.
 * 
 * CARNEGIE MELLON ALLOWS FREE USE OF THIS SOFTWARE IN ITS "AS IS"
 * CONDITION.  CARNEGIE MELLON DISCLAIMS ANY LIABILITY OF ANY KIND FOR
 * ANY DAMAGES WHATSOEVER RESULTING FROM THE USE OF THIS SOFTWARE.
 * 
 * Carnegie Mellon requests users of this software to return to
 * 
 *  Software Distribution Coordinator  or  Software.Distribution@CS.CMU.EDU
 *  School of Computer Science
 *  Carnegie Mellon University
 *  Pittsburgh PA 15213-3890
 * 
 * any improvements or extensions that they make and grant Carnegie Mellon
 * the rights to redistribute these changes.
 */
/*
 */
/*
 * THIS FILE WAS GENERATED BY build_font FROM kernel_font.data
 * IF YOU NEED TO, BE SURE YOU EDIT THE REAL THING!
 */
/*
 *	Object:
 *		kfont_7x14			EXPORTED array
 *
 *		Kernel font for printable ASCII chars
 *
 * The smallest index in this array corresponds to a
 * space. So, we start at 0x20 in the ascii table.
 * Note that glyphs are mirrored (byteorder, I think)
 * the commented bitmap shows how they really look like
 */

unsigned char kfont_7x14[] = {
/*   0 ' ' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*   1 '!' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00000000 */	 0,
	/* 00010000 */	0x8,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*   2 '"' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00101000 */	0x14,
	/* 00101000 */	0x14,
	/* 00101000 */	0x14,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*   3 '#' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 01001000 */	0x12,
	/* 01001000 */	0x12,
	/* 11111100 */	0x3f,
	/* 01001000 */	0x12,
	/* 01001000 */	0x12,
	/* 01001000 */	0x12,
	/* 01001000 */	0x12,
	/* 11111100 */	0x3f,
	/* 01001000 */	0x12,
	/* 01001000 */	0x12,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*   4 '$' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00010000 */	0x8,
	/* 01111110 */	0x7e,
	/* 10010000 */	0x9,
	/* 10010000 */	0x9,
	/* 01111100 */	0x3e,
	/* 00010010 */	0x48,
	/* 00010010 */	0x48,
	/* 11111100 */	0x3f,
	/* 00010000 */	0x8,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*   5 '%' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 01000010 */	0x42,
	/* 10100100 */	0x25,
	/* 01000100 */	0x22,
	/* 00001000 */	0x10,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00100000 */	0x4,
	/* 01000100 */	0x22,
	/* 01001010 */	0x52,
	/* 10000100 */	0x21,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*   6 '&' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 01110000 */	0xe,
	/* 10001000 */	0x11,
	/* 10001000 */	0x11,
	/* 10001000 */	0x11,
	/* 01110000 */	0xe,
	/* 10001000 */	0x11,
	/* 10001010 */	0x51,
	/* 10000100 */	0x21,
	/* 10001100 */	0x31,
	/* 01110010 */	0x4e,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*   7 ''' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00011000 */	0x18,
	/* 00011000 */	0x18,
	/* 00100000 */	0x4,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*   8 '(' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00001000 */	0x10,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00100000 */	0x4,
	/* 00100000 */	0x4,
	/* 00100000 */	0x4,
	/* 00100000 */	0x4,
	/* 00100000 */	0x4,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00001000 */	0x10,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*   9 ')' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00100000 */	0x4,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00001000 */	0x10,
	/* 00001000 */	0x10,
	/* 00001000 */	0x10,
	/* 00001000 */	0x10,
	/* 00001000 */	0x10,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00100000 */	0x4,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*   a '*' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00010000 */	0x8,
	/* 10010010 */	0x49,
	/* 01010100 */	0x2a,
	/* 00111000 */	0x1c,
	/* 00111000 */	0x1c,
	/* 01010100 */	0x2a,
	/* 10010010 */	0x49,
	/* 00010000 */	0x8,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*   b '+' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 11111110 */	0x7f,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*   c ',' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00110000 */	0xc,
	/* 00110000 */	0xc,
	/* 01000000 */	0x2,
	/* 00000000 */	 0,
/*   d '-' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 11111110 */	0x7f,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*   e '.' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00110000 */	0xc,
	/* 00110000 */	0xc,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*   f '/' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000010 */	0x40,
	/* 00000100 */	0x20,
	/* 00000100 */	0x20,
	/* 00001000 */	0x10,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00100000 */	0x4,
	/* 01000000 */	0x2,
	/* 01000000 */	0x2,
	/* 10000000 */	0x1,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  10 '0' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00111000 */	0x1c,
	/* 01000100 */	0x22,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 01000100 */	0x22,
	/* 00111000 */	0x1c,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  11 '1' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00010000 */	0x8,
	/* 00110000 */	0xc,
	/* 01010000 */	0xa,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 01111100 */	0x3e,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  12 '2' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 01111100 */	0x3e,
	/* 10000010 */	0x41,
	/* 00000010 */	0x40,
	/* 00000010 */	0x40,
	/* 00000100 */	0x20,
	/* 00011000 */	0x18,
	/* 00100000 */	0x4,
	/* 01000000 */	0x2,
	/* 10000000 */	0x1,
	/* 11111110 */	0x7f,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  13 '3' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 01111100 */	0x3e,
	/* 10000010 */	0x41,
	/* 00000010 */	0x40,
	/* 00000010 */	0x40,
	/* 00011100 */	0x38,
	/* 00000010 */	0x40,
	/* 00000010 */	0x40,
	/* 00000010 */	0x40,
	/* 10000010 */	0x41,
	/* 01111100 */	0x3e,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  14 '4' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000100 */	0x20,
	/* 00001100 */	0x30,
	/* 00010100 */	0x28,
	/* 00100100 */	0x24,
	/* 01000100 */	0x22,
	/* 10000100 */	0x21,
	/* 11111110 */	0x7f,
	/* 00000100 */	0x20,
	/* 00000100 */	0x20,
	/* 00000100 */	0x20,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  15 '5' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 11111110 */	0x7f,
	/* 10000000 */	0x1,
	/* 10000000 */	0x1,
	/* 10000000 */	0x1,
	/* 11111100 */	0x3f,
	/* 00000010 */	0x40,
	/* 00000010 */	0x40,
	/* 00000010 */	0x40,
	/* 10000010 */	0x41,
	/* 01111100 */	0x3e,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  16 '6' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 01111100 */	0x3e,
	/* 10000000 */	0x1,
	/* 10000000 */	0x1,
	/* 10000000 */	0x1,
	/* 11111100 */	0x3f,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 01111100 */	0x3e,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  17 '7' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 11111110 */	0x7f,
	/* 10000010 */	0x41,
	/* 00000010 */	0x40,
	/* 00000100 */	0x20,
	/* 00001000 */	0x10,
	/* 00010000 */	0x8,
	/* 00100000 */	0x4,
	/* 01000000 */	0x2,
	/* 10000000 */	0x1,
	/* 10000000 */	0x1,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  18 '8' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 01111100 */	0x3e,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 01111100 */	0x3e,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 01111100 */	0x3e,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  19 '9' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 01111100 */	0x3e,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 01111110 */	0x7e,
	/* 00000010 */	0x40,
	/* 00000010 */	0x40,
	/* 00000010 */	0x40,
	/* 00000010 */	0x40,
	/* 01111100 */	0x3e,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  1a ':' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00110000 */	0xc,
	/* 00110000 */	0xc,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00110000 */	0xc,
	/* 00110000 */	0xc,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  1b ';' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00110000 */	0xc,
	/* 00110000 */	0xc,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00110000 */	0xc,
	/* 00110000 */	0xc,
	/* 01000000 */	0x2,
	/* 00000000 */	 0,
/*  1c '<' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00001000 */	0x10,
	/* 00010000 */	0x8,
	/* 00100000 */	0x4,
	/* 01000000 */	0x2,
	/* 10000000 */	0x1,
	/* 01000000 */	0x2,
	/* 00100000 */	0x4,
	/* 00010000 */	0x8,
	/* 00001000 */	0x10,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  1d '=' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 11111110 */	0x7f,
	/* 00000000 */	 0,
	/* 11111110 */	0x7f,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  1e '>' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00100000 */	0x4,
	/* 00010000 */	0x8,
	/* 00001000 */	0x10,
	/* 00000100 */	0x20,
	/* 00000010 */	0x40,
	/* 00000100 */	0x20,
	/* 00001000 */	0x10,
	/* 00010000 */	0x8,
	/* 00100000 */	0x4,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  1f '?' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 01111100 */	0x3e,
	/* 10000010 */	0x41,
	/* 00000010 */	0x40,
	/* 00000010 */	0x40,
	/* 00000100 */	0x20,
	/* 00001000 */	0x10,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00000000 */	 0,
	/* 00010000 */	0x8,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  20 '@' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00111100 */	0x3c,
	/* 01000010 */	0x42,
	/* 10011010 */	0x59,
	/* 10101010 */	0x55,
	/* 10101010 */	0x55,
	/* 10011100 */	0x39,
	/* 10000000 */	0x1,
	/* 10000000 */	0x1,
	/* 01000010 */	0x42,
	/* 00111100 */	0x3c,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  21 'A' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00111000 */	0x1c,
	/* 01000100 */	0x22,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 11111110 */	0x7f,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  22 'B' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 11111100 */	0x3f,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 11111100 */	0x3f,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 11111100 */	0x3f,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  23 'C' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 01111100 */	0x3e,
	/* 10000010 */	0x41,
	/* 10000000 */	0x1,
	/* 10000000 */	0x1,
	/* 10000000 */	0x1,
	/* 10000000 */	0x1,
	/* 10000000 */	0x1,
	/* 10000000 */	0x1,
	/* 10000010 */	0x41,
	/* 01111100 */	0x3e,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  24 'D' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 11111000 */	0x1f,
	/* 10000100 */	0x21,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000100 */	0x21,
	/* 11111000 */	0x1f,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  25 'E' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 11111110 */	0x7f,
	/* 10000000 */	0x1,
	/* 10000000 */	0x1,
	/* 10000000 */	0x1,
	/* 11111000 */	0x1f,
	/* 10000000 */	0x1,
	/* 10000000 */	0x1,
	/* 10000000 */	0x1,
	/* 10000000 */	0x1,
	/* 11111110 */	0x7f,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  26 'F' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 11111110 */	0x7f,
	/* 10000000 */	0x1,
	/* 10000000 */	0x1,
	/* 10000000 */	0x1,
	/* 11111000 */	0x1f,
	/* 10000000 */	0x1,
	/* 10000000 */	0x1,
	/* 10000000 */	0x1,
	/* 10000000 */	0x1,
	/* 10000000 */	0x1,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  27 'G' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 01111100 */	0x3e,
	/* 10000010 */	0x41,
	/* 10000000 */	0x1,
	/* 10000000 */	0x1,
	/* 10011110 */	0x79,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 01111100 */	0x3e,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  28 'H' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 11111110 */	0x7f,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  29 'I' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 01111100 */	0x3e,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 01111100 */	0x3e,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  2a 'J' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000010 */	0x40,
	/* 00000010 */	0x40,
	/* 00000010 */	0x40,
	/* 00000010 */	0x40,
	/* 00000010 */	0x40,
	/* 00000010 */	0x40,
	/* 00000010 */	0x40,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 01111100 */	0x3e,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  2b 'K' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 10000100 */	0x21,
	/* 10001000 */	0x11,
	/* 10010000 */	0x9,
	/* 10100000 */	0x5,
	/* 11000000 */	0x3,
	/* 10100000 */	0x5,
	/* 10010000 */	0x9,
	/* 10001000 */	0x11,
	/* 10000100 */	0x21,
	/* 10000010 */	0x41,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  2c 'L' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 10000000 */	0x1,
	/* 10000000 */	0x1,
	/* 10000000 */	0x1,
	/* 10000000 */	0x1,
	/* 10000000 */	0x1,
	/* 10000000 */	0x1,
	/* 10000000 */	0x1,
	/* 10000000 */	0x1,
	/* 10000000 */	0x1,
	/* 11111110 */	0x7f,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  2d 'M' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 11000110 */	0x63,
	/* 10101010 */	0x55,
	/* 10010010 */	0x49,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  2e 'N' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 11000010 */	0x43,
	/* 10100010 */	0x45,
	/* 10010010 */	0x49,
	/* 10010010 */	0x49,
	/* 10001010 */	0x51,
	/* 10000110 */	0x61,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  2f 'O' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 01111100 */	0x3e,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 01111100 */	0x3e,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  30 'P' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 11111100 */	0x3f,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 11111100 */	0x3f,
	/* 10000000 */	0x1,
	/* 10000000 */	0x1,
	/* 10000000 */	0x1,
	/* 10000000 */	0x1,
	/* 10000000 */	0x1,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  31 'Q' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00111000 */	0x1c,
	/* 01000100 */	0x22,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10001010 */	0x51,
	/* 01000100 */	0x22,
	/* 00111010 */	0x5c,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  32 'R' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 11111100 */	0x3f,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 11111100 */	0x3f,
	/* 10100000 */	0x5,
	/* 10010000 */	0x9,
	/* 10001000 */	0x11,
	/* 10000100 */	0x21,
	/* 10000010 */	0x41,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  33 'S' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 01111100 */	0x3e,
	/* 10000010 */	0x41,
	/* 10000000 */	0x1,
	/* 10000000 */	0x1,
	/* 01111100 */	0x3e,
	/* 00000010 */	0x40,
	/* 00000010 */	0x40,
	/* 00000010 */	0x40,
	/* 10000010 */	0x41,
	/* 01111100 */	0x3e,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  34 'T' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 11111110 */	0x7f,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  35 'U' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 01111100 */	0x3e,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  36 'V' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 01000100 */	0x22,
	/* 01000100 */	0x22,
	/* 01000100 */	0x22,
	/* 00101000 */	0x14,
	/* 00101000 */	0x14,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  37 'W' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10010010 */	0x49,
	/* 10010010 */	0x49,
	/* 10010010 */	0x49,
	/* 01101100 */	0x36,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  38 'X' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 10000010 */	0x41,
	/* 01000100 */	0x22,
	/* 01000100 */	0x22,
	/* 00101000 */	0x14,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00101000 */	0x14,
	/* 01000100 */	0x22,
	/* 01000100 */	0x22,
	/* 10000010 */	0x41,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  39 'Y' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 01000100 */	0x22,
	/* 00101000 */	0x14,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  3a 'Z' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 11111110 */	0x7f,
	/* 00000010 */	0x40,
	/* 00000100 */	0x20,
	/* 00001000 */	0x10,
	/* 00010000 */	0x8,
	/* 00100000 */	0x4,
	/* 01000000 */	0x2,
	/* 10000000 */	0x1,
	/* 10000000 */	0x1,
	/* 11111110 */	0x7f,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  3b '[' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00011110 */	0x78,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00011110 */	0x78,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  3c '\' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 10000000 */	0x1,
	/* 01000000 */	0x2,
	/* 01000000 */	0x2,
	/* 00100000 */	0x4,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00001000 */	0x10,
	/* 00000100 */	0x20,
	/* 00000100 */	0x20,
	/* 00000010 */	0x40,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  3d ']' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 11110000 */	0xf,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 11110000 */	0xf,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  3e '^' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00010000 */	0x8,
	/* 00101000 */	0x14,
	/* 01000100 */	0x22,
	/* 10000010 */	0x41,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  3f '_' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 11111110 */	0x7f,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  40 '`' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 01100000 */	0x6,
	/* 01100000 */	0x6,
	/* 00010000 */	0x8,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  41 'a' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 01111000 */	0x1e,
	/* 00000100 */	0x20,
	/* 01111100 */	0x3e,
	/* 10000100 */	0x21,
	/* 10000100 */	0x21,
	/* 01111010 */	0x5e,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  42 'b' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 10000000 */	0x1,
	/* 10000000 */	0x1,
	/* 10000000 */	0x1,
	/* 10000000 */	0x1,
	/* 10111100 */	0x3d,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10111100 */	0x3d,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  43 'c' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 01111100 */	0x3e,
	/* 10000010 */	0x41,
	/* 10000000 */	0x1,
	/* 10000000 */	0x1,
	/* 10000010 */	0x41,
	/* 01111100 */	0x3e,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  44 'd' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000010 */	0x40,
	/* 00000010 */	0x40,
	/* 00000010 */	0x40,
	/* 00000010 */	0x40,
	/* 01111010 */	0x5e,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 01111010 */	0x5e,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  45 'e' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 01111100 */	0x3e,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 11111110 */	0x7f,
	/* 10000000 */	0x1,
	/* 01111100 */	0x3e,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  46 'f' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00001000 */	0x10,
	/* 00010100 */	0x28,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00111100 */	0x3c,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  47 'g' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 01111010 */	0x5e,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 01111010 */	0x5e,
	/* 00000010 */	0x40,
	/* 00000010 */	0x40,
	/* 01111100 */	0x3e,
/*  48 'h' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 10000000 */	0x1,
	/* 10000000 */	0x1,
	/* 10000000 */	0x1,
	/* 10000000 */	0x1,
	/* 10111100 */	0x3d,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  49 'i' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00010000 */	0x8,
	/* 00000000 */	 0,
	/* 00110000 */	0xc,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 01111100 */	0x3e,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  4a 'j' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00010000 */	0x8,
	/* 00000000 */	 0,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 01010000 */	0xa,
	/* 00100000 */	0x4,
/*  4b 'k' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 10000000 */	0x1,
	/* 10000000 */	0x1,
	/* 10000000 */	0x1,
	/* 10000100 */	0x21,
	/* 10001000 */	0x11,
	/* 10010000 */	0x9,
	/* 10110000 */	0xd,
	/* 11001000 */	0x13,
	/* 10000100 */	0x21,
	/* 10000010 */	0x41,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  4c 'l' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00110000 */	0xc,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 01111100 */	0x3e,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  4d 'm' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 10101100 */	0x35,
	/* 10010010 */	0x49,
	/* 10010010 */	0x49,
	/* 10010010 */	0x49,
	/* 10010010 */	0x49,
	/* 10010010 */	0x49,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  4e 'n' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 10111100 */	0x3d,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  4f 'o' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 01111100 */	0x3e,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 01111100 */	0x3e,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  50 'p' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 10111100 */	0x3d,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10111100 */	0x3d,
	/* 10000000 */	0x1,
	/* 10000000 */	0x1,
	/* 10000000 */	0x1,
/*  51 'q' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 01111010 */	0x5e,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 01111010 */	0x5e,
	/* 00000010 */	0x40,
	/* 00000010 */	0x40,
	/* 00000010 */	0x40,
/*  52 'r' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 10111100 */	0x3d,
	/* 10000010 */	0x41,
	/* 10000000 */	0x1,
	/* 10000000 */	0x1,
	/* 10000000 */	0x1,
	/* 10000000 */	0x1,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  53 's' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 01111110 */	0x7e,
	/* 10000000 */	0x1,
	/* 01111100 */	0x3e,
	/* 00000010 */	0x40,
	/* 00000010 */	0x40,
	/* 11111100 */	0x3f,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  54 't' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00111000 */	0x1c,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00010100 */	0x28,
	/* 00001000 */	0x10,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  55 'u' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 01111010 */	0x5e,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  56 'v' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 01000100 */	0x22,
	/* 01000100 */	0x22,
	/* 00101000 */	0x14,
	/* 00010000 */	0x8,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  57 'w' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10010010 */	0x49,
	/* 10101010 */	0x55,
	/* 01000100 */	0x22,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  58 'x' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 10000100 */	0x21,
	/* 01001000 */	0x12,
	/* 00110000 */	0xc,
	/* 00110000 */	0xc,
	/* 01001000 */	0x12,
	/* 10000100 */	0x21,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  59 'y' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 01111100 */	0x3e,
	/* 00000010 */	0x40,
	/* 00000010 */	0x40,
	/* 01111100 */	0x3e,
/*  5a 'z' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 11111110 */	0x7f,
	/* 00000100 */	0x20,
	/* 00001000 */	0x10,
	/* 00110000 */	0xc,
	/* 01000000 */	0x2,
	/* 11111110 */	0x7f,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  5b '{' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00001000 */	0x10,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00100000 */	0x4,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00001000 */	0x10,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  5c '|' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  5d '}' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00100000 */	0x4,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00001000 */	0x10,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00100000 */	0x4,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  5e '~' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 01100000 */	0x6,
	/* 10010010 */	0x49,
	/* 00001100 */	0x30,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  5f '' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  60 '' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00010000 */	0x8,
	/* 00000000 */	 0,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00000000 */	 0,
/*  61 '' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00010000 */	0x8,
	/* 01111100 */	0x3e,
	/* 10000010 */	0x41,
	/* 10000000 */	0x1,
	/* 10000000 */	0x1,
	/* 10000010 */	0x41,
	/* 01111100 */	0x3e,
	/* 00010000 */	0x8,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  62 '' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00001000 */	0x10,
	/* 00010100 */	0x28,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00111100 */	0x3c,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00110000 */	0xc,
	/* 01010010 */	0x4a,
	/* 00101100 */	0x34,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  63 '' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 01111100 */	0x3e,
	/* 10000010 */	0x41,
	/* 10000000 */	0x1,
	/* 10000000 */	0x1,
	/* 01000000 */	0x2,
	/* 00100000 */	0x4,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00000000 */	 0,
	/* 00010000 */	0x8,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  64 '' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 01000100 */	0x22,
	/* 01111100 */	0x3e,
	/* 00010000 */	0x8,
	/* 01111100 */	0x3e,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  65 '' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 01111100 */	0x3e,
	/* 10000010 */	0x41,
	/* 10000000 */	0x1,
	/* 10000000 */	0x1,
	/* 01000000 */	0x2,
	/* 00100000 */	0x4,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00000000 */	 0,
	/* 00010000 */	0x8,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  66 '' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 01111100 */	0x3e,
	/* 10000010 */	0x41,
	/* 10000000 */	0x1,
	/* 01111100 */	0x3e,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 01111100 */	0x3e,
	/* 00000010 */	0x40,
	/* 10000010 */	0x41,
	/* 01111100 */	0x3e,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  67 '' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 10000010 */	0x41,
	/* 01111100 */	0x3e,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 01111100 */	0x3e,
	/* 10000010 */	0x41,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  68 '' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 01111100 */	0x3e,
	/* 10000010 */	0x41,
	/* 10011010 */	0x59,
	/* 10100010 */	0x45,
	/* 10100010 */	0x45,
	/* 10100010 */	0x45,
	/* 10011010 */	0x59,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 01111100 */	0x3e,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  69 '' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00111000 */	0x1c,
	/* 00000100 */	0x20,
	/* 00111100 */	0x3c,
	/* 01000100 */	0x22,
	/* 00111010 */	0x5c,
	/* 00000000 */	 0,
	/* 01111110 */	0x7e,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  6a '' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00001010 */	0x50,
	/* 00010100 */	0x28,
	/* 00101000 */	0x14,
	/* 01010000 */	0xa,
	/* 10100000 */	0x5,
	/* 01010000 */	0xa,
	/* 00101000 */	0x14,
	/* 00010100 */	0x28,
	/* 00001010 */	0x50,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  6b '' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 01111100 */	0x3e,
	/* 10000010 */	0x41,
	/* 10000000 */	0x1,
	/* 10000000 */	0x1,
	/* 01000000 */	0x2,
	/* 00100000 */	0x4,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00000000 */	 0,
	/* 00010000 */	0x8,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  6c '' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 01111100 */	0x3e,
	/* 10000010 */	0x41,
	/* 10000000 */	0x1,
	/* 10000000 */	0x1,
	/* 01000000 */	0x2,
	/* 00100000 */	0x4,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00000000 */	 0,
	/* 00010000 */	0x8,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  6d '' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 01111100 */	0x3e,
	/* 10000010 */	0x41,
	/* 10000000 */	0x1,
	/* 10000000 */	0x1,
	/* 01000000 */	0x2,
	/* 00100000 */	0x4,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00000000 */	 0,
	/* 00010000 */	0x8,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  6e '' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 01111100 */	0x3e,
	/* 10000010 */	0x41,
	/* 10000000 */	0x1,
	/* 10000000 */	0x1,
	/* 01000000 */	0x2,
	/* 00100000 */	0x4,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00000000 */	 0,
	/* 00010000 */	0x8,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  6f '' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00110000 */	0xc,
	/* 01001000 */	0x12,
	/* 00110000 */	0xc,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  70 '' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 11111110 */	0x7f,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00000000 */	 0,
	/* 11111110 */	0x7f,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  71 '' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00111000 */	0x1c,
	/* 01000100 */	0x22,
	/* 01000100 */	0x22,
	/* 00001000 */	0x10,
	/* 00010000 */	0x8,
	/* 00100000 */	0x4,
	/* 01111100 */	0x3e,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  72 '' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00111000 */	0x1c,
	/* 01000100 */	0x22,
	/* 00000100 */	0x20,
	/* 00011000 */	0x18,
	/* 00000100 */	0x20,
	/* 01000100 */	0x22,
	/* 00111000 */	0x1c,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  73 '' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 01111100 */	0x3e,
	/* 10000010 */	0x41,
	/* 10000000 */	0x1,
	/* 10000000 */	0x1,
	/* 01000000 */	0x2,
	/* 00100000 */	0x4,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00000000 */	 0,
	/* 00010000 */	0x8,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  74 '' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 01000010 */	0x42,
	/* 01000010 */	0x42,
	/* 01000010 */	0x42,
	/* 01000010 */	0x42,
	/* 01100110 */	0x66,
	/* 01011010 */	0x5a,
	/* 01000000 */	0x2,
	/* 10000000 */	0x1,
	/* 00000000 */	 0,
/*  75 '' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00101000 */	0x14,
	/* 01101000 */	0x16,
	/* 11101000 */	0x17,
	/* 11101000 */	0x17,
	/* 11101000 */	0x17,
	/* 01101000 */	0x16,
	/* 00101000 */	0x14,
	/* 00101000 */	0x14,
	/* 00101000 */	0x14,
	/* 00101000 */	0x14,
	/* 00101000 */	0x14,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  76 '' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00011000 */	0x18,
	/* 00011000 */	0x18,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  77 '' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 01111100 */	0x3e,
	/* 10000010 */	0x41,
	/* 10000000 */	0x1,
	/* 10000000 */	0x1,
	/* 01000000 */	0x2,
	/* 00100000 */	0x4,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00000000 */	 0,
	/* 00010000 */	0x8,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  78 '' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00010000 */	0x8,
	/* 00110000 */	0xc,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00111000 */	0x1c,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  79 '' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00111100 */	0x3c,
	/* 01000010 */	0x42,
	/* 01000010 */	0x42,
	/* 01000010 */	0x42,
	/* 00111100 */	0x3c,
	/* 00000000 */	 0,
	/* 01111110 */	0x7e,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  7a '' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 10100000 */	0x5,
	/* 01010000 */	0xa,
	/* 00101000 */	0x14,
	/* 00010100 */	0x28,
	/* 00001010 */	0x50,
	/* 00010100 */	0x28,
	/* 00101000 */	0x14,
	/* 01010000 */	0xa,
	/* 10100000 */	0x5,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  7b '' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 01000000 */	0x2,
	/* 11000000 */	0x3,
	/* 01000010 */	0x42,
	/* 01000100 */	0x22,
	/* 11101000 */	0x17,
	/* 00010100 */	0x28,
	/* 00101100 */	0x34,
	/* 01010100 */	0x2a,
	/* 10011110 */	0x79,
	/* 00000100 */	0x20,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  7c '' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 01000000 */	0x2,
	/* 11000000 */	0x3,
	/* 01000010 */	0x42,
	/* 01000100 */	0x22,
	/* 11101000 */	0x17,
	/* 00011100 */	0x38,
	/* 00110010 */	0x4c,
	/* 01000100 */	0x22,
	/* 10001000 */	0x11,
	/* 00011110 */	0x78,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  7d '' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 01111100 */	0x3e,
	/* 10000010 */	0x41,
	/* 10000000 */	0x1,
	/* 10000000 */	0x1,
	/* 01000000 */	0x2,
	/* 00100000 */	0x4,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00000000 */	 0,
	/* 00010000 */	0x8,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  7e '' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00010000 */	0x8,
	/* 00000000 */	 0,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00100000 */	0x4,
	/* 01000000 */	0x2,
	/* 10000000 */	0x1,
	/* 10000000 */	0x1,
	/* 10000010 */	0x41,
	/* 01111100 */	0x3e,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  7f '' */
	/* 00000000 */	 0,
	/* 01000000 */	0x2,
	/* 00100000 */	0x4,
	/* 00000000 */	 0,
	/* 00111000 */	0x1c,
	/* 01000100 */	0x22,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 11111110 */	0x7f,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  80 '' */
	/* 00000000 */	 0,
	/* 00000100 */	0x20,
	/* 00001000 */	0x10,
	/* 00000000 */	 0,
	/* 00111000 */	0x1c,
	/* 01000100 */	0x22,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 11111110 */	0x7f,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  81 '' */
	/* 00000000 */	 0,
	/* 00010000 */	0x8,
	/* 00101000 */	0x14,
	/* 00000000 */	 0,
	/* 00111000 */	0x1c,
	/* 01000100 */	0x22,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 11111110 */	0x7f,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  82 '' */
	/* 00000000 */	 0,
	/* 00110100 */	0x2c,
	/* 01001000 */	0x12,
	/* 00000000 */	 0,
	/* 00111000 */	0x1c,
	/* 01000100 */	0x22,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 11111110 */	0x7f,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  83 '' */
	/* 00000000 */	 0,
	/* 00101000 */	0x14,
	/* 00101000 */	0x14,
	/* 00000000 */	 0,
	/* 00111000 */	0x1c,
	/* 01000100 */	0x22,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 11111110 */	0x7f,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  84 '' */
	/* 00000000 */	 0,
	/* 00010000 */	0x8,
	/* 00101000 */	0x14,
	/* 00010000 */	0x8,
	/* 00111000 */	0x1c,
	/* 01000100 */	0x22,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 11111110 */	0x7f,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  85 '' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00111110 */	0x7c,
	/* 01010000 */	0xa,
	/* 01010000 */	0xa,
	/* 10010000 */	0x9,
	/* 10011100 */	0x39,
	/* 11110000 */	0xf,
	/* 10010000 */	0x9,
	/* 10011110 */	0x79,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  86 '' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 01111100 */	0x3e,
	/* 10000010 */	0x41,
	/* 10000000 */	0x1,
	/* 10000000 */	0x1,
	/* 10000000 */	0x1,
	/* 10000000 */	0x1,
	/* 10000000 */	0x1,
	/* 10000000 */	0x1,
	/* 10000010 */	0x41,
	/* 01111100 */	0x3e,
	/* 00001000 */	0x10,
	/* 00010000 */	0x8,
	/* 00000000 */	 0,
/*  87 '' */
	/* 00000000 */	 0,
	/* 01000000 */	0x2,
	/* 00100000 */	0x4,
	/* 00000000 */	 0,
	/* 11111110 */	0x7f,
	/* 10000000 */	0x1,
	/* 10000000 */	0x1,
	/* 11111000 */	0x1f,
	/* 10000000 */	0x1,
	/* 10000000 */	0x1,
	/* 10000000 */	0x1,
	/* 11111110 */	0x7f,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  88 '' */
	/* 00000000 */	 0,
	/* 00001000 */	0x10,
	/* 00010000 */	0x8,
	/* 00000000 */	 0,
	/* 11111110 */	0x7f,
	/* 10000000 */	0x1,
	/* 10000000 */	0x1,
	/* 11111000 */	0x1f,
	/* 10000000 */	0x1,
	/* 10000000 */	0x1,
	/* 10000000 */	0x1,
	/* 11111110 */	0x7f,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  89 '' */
	/* 00000000 */	 0,
	/* 00010000 */	0x8,
	/* 00101000 */	0x14,
	/* 00000000 */	 0,
	/* 11111110 */	0x7f,
	/* 10000000 */	0x1,
	/* 10000000 */	0x1,
	/* 11111000 */	0x1f,
	/* 10000000 */	0x1,
	/* 10000000 */	0x1,
	/* 10000000 */	0x1,
	/* 11111110 */	0x7f,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  8a '' */
	/* 00000000 */	 0,
	/* 00101000 */	0x14,
	/* 00101000 */	0x14,
	/* 00000000 */	 0,
	/* 11111110 */	0x7f,
	/* 10000000 */	0x1,
	/* 10000000 */	0x1,
	/* 11111000 */	0x1f,
	/* 10000000 */	0x1,
	/* 10000000 */	0x1,
	/* 10000000 */	0x1,
	/* 11111110 */	0x7f,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  8b '' */
	/* 00000000 */	 0,
	/* 01000000 */	0x2,
	/* 00100000 */	0x4,
	/* 00000000 */	 0,
	/* 01111100 */	0x3e,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 01111100 */	0x3e,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  8c '' */
	/* 00000000 */	 0,
	/* 00001000 */	0x10,
	/* 00010000 */	0x8,
	/* 00000000 */	 0,
	/* 01111100 */	0x3e,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 01111100 */	0x3e,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  8d '' */
	/* 00000000 */	 0,
	/* 00010000 */	0x8,
	/* 00101000 */	0x14,
	/* 00000000 */	 0,
	/* 01111100 */	0x3e,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 01111100 */	0x3e,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  8e '' */
	/* 00000000 */	 0,
	/* 00101000 */	0x14,
	/* 00101000 */	0x14,
	/* 00000000 */	 0,
	/* 01111100 */	0x3e,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 01111100 */	0x3e,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  8f '' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 01111100 */	0x3e,
	/* 10000010 */	0x41,
	/* 10000000 */	0x1,
	/* 10000000 */	0x1,
	/* 01000000 */	0x2,
	/* 00100000 */	0x4,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00000000 */	 0,
	/* 00010000 */	0x8,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  90 '' */
	/* 00000000 */	 0,
	/* 00110100 */	0x2c,
	/* 01001000 */	0x12,
	/* 00000000 */	 0,
	/* 10000010 */	0x41,
	/* 11000010 */	0x43,
	/* 10100010 */	0x45,
	/* 10010010 */	0x49,
	/* 10010010 */	0x49,
	/* 10001010 */	0x51,
	/* 10000110 */	0x61,
	/* 10000010 */	0x41,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  91 '' */
	/* 00000000 */	 0,
	/* 01000000 */	0x2,
	/* 00100000 */	0x4,
	/* 00000000 */	 0,
	/* 01111100 */	0x3e,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 01111100 */	0x3e,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  92 '' */
	/* 00000000 */	 0,
	/* 00001000 */	0x10,
	/* 00010000 */	0x8,
	/* 00000000 */	 0,
	/* 01111100 */	0x3e,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 01111100 */	0x3e,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  93 '' */
	/* 00000000 */	 0,
	/* 00010000 */	0x8,
	/* 00101000 */	0x14,
	/* 00000000 */	 0,
	/* 01111100 */	0x3e,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 01111100 */	0x3e,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  94 '' */
	/* 00000000 */	 0,
	/* 00110100 */	0x2c,
	/* 01001000 */	0x12,
	/* 00000000 */	 0,
	/* 01111100 */	0x3e,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 01111100 */	0x3e,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  95 '' */
	/* 00000000 */	 0,
	/* 00101000 */	0x14,
	/* 00101000 */	0x14,
	/* 00000000 */	 0,
	/* 01111100 */	0x3e,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 01111100 */	0x3e,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  96 '' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 01111110 */	0x7e,
	/* 10010000 */	0x9,
	/* 10010000 */	0x9,
	/* 10010000 */	0x9,
	/* 10011100 */	0x39,
	/* 10010000 */	0x9,
	/* 10010000 */	0x9,
	/* 01111110 */	0x7e,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  97 '' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000010 */	0x40,
	/* 01111100 */	0x3e,
	/* 10000110 */	0x61,
	/* 10001010 */	0x51,
	/* 10010010 */	0x49,
	/* 10010010 */	0x49,
	/* 10100010 */	0x45,
	/* 11000010 */	0x43,
	/* 01111100 */	0x3e,
	/* 10000000 */	0x1,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  98 '' */
	/* 00000000 */	 0,
	/* 01000000 */	0x2,
	/* 00100000 */	0x4,
	/* 00000000 */	 0,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 01111100 */	0x3e,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  99 '' */
	/* 00000000 */	 0,
	/* 00001000 */	0x10,
	/* 00010000 */	0x8,
	/* 00000000 */	 0,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 01111100 */	0x3e,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  9a '' */
	/* 00000000 */	 0,
	/* 00010000 */	0x8,
	/* 00101000 */	0x14,
	/* 00000000 */	 0,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 01111100 */	0x3e,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  9b '' */
	/* 00000000 */	 0,
	/* 00101000 */	0x14,
	/* 00101000 */	0x14,
	/* 00000000 */	 0,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 01111100 */	0x3e,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  9c '' */
	/* 00000000 */	 0,
	/* 00101000 */	0x14,
	/* 00101000 */	0x14,
	/* 00000000 */	 0,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 01000100 */	0x22,
	/* 00101000 */	0x14,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  9d '' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 01111100 */	0x3e,
	/* 10000010 */	0x41,
	/* 10000000 */	0x1,
	/* 10000000 */	0x1,
	/* 01000000 */	0x2,
	/* 00100000 */	0x4,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00000000 */	 0,
	/* 00010000 */	0x8,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  9e '' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 01111100 */	0x3e,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10111100 */	0x3d,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10111100 */	0x3d,
	/* 10000000 */	0x1,
	/* 10000000 */	0x1,
	/* 00000000 */	 0,
/*  9f '' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 01000000 */	0x2,
	/* 00100000 */	0x4,
	/* 00000000 */	 0,
	/* 01111000 */	0x1e,
	/* 00000100 */	0x20,
	/* 01111100 */	0x3e,
	/* 10000100 */	0x21,
	/* 10000100 */	0x21,
	/* 01111010 */	0x5e,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  a0 '' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00001000 */	0x10,
	/* 00010000 */	0x8,
	/* 00000000 */	 0,
	/* 01111000 */	0x1e,
	/* 00000100 */	0x20,
	/* 01111100 */	0x3e,
	/* 10000100 */	0x21,
	/* 10000100 */	0x21,
	/* 01111010 */	0x5e,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  a1 '' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00010000 */	0x8,
	/* 00101000 */	0x14,
	/* 00000000 */	 0,
	/* 01111000 */	0x1e,
	/* 00000100 */	0x20,
	/* 01111100 */	0x3e,
	/* 10000100 */	0x21,
	/* 10000100 */	0x21,
	/* 01111010 */	0x5e,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  a2 '' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00110100 */	0x2c,
	/* 01001000 */	0x12,
	/* 00000000 */	 0,
	/* 01111000 */	0x1e,
	/* 00000100 */	0x20,
	/* 01111100 */	0x3e,
	/* 10000100 */	0x21,
	/* 10000100 */	0x21,
	/* 01111010 */	0x5e,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  a3 '' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00101000 */	0x14,
	/* 00101000 */	0x14,
	/* 00000000 */	 0,
	/* 01111000 */	0x1e,
	/* 00000100 */	0x20,
	/* 01111100 */	0x3e,
	/* 10000100 */	0x21,
	/* 10000100 */	0x21,
	/* 01111010 */	0x5e,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  a4 '' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00010000 */	0x8,
	/* 00101000 */	0x14,
	/* 00010000 */	0x8,
	/* 01111000 */	0x1e,
	/* 00000100 */	0x20,
	/* 01111100 */	0x3e,
	/* 10000100 */	0x21,
	/* 10000100 */	0x21,
	/* 01111010 */	0x5e,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  a5 '' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 01101100 */	0x36,
	/* 00010010 */	0x48,
	/* 01111110 */	0x7e,
	/* 10010000 */	0x9,
	/* 10010010 */	0x49,
	/* 01101100 */	0x36,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  a6 '' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 01111100 */	0x3e,
	/* 10000010 */	0x41,
	/* 10000000 */	0x1,
	/* 10000000 */	0x1,
	/* 10000010 */	0x41,
	/* 01111100 */	0x3e,
	/* 00001000 */	0x10,
	/* 00010000 */	0x8,
	/* 00000000 */	 0,
/*  a7 '' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 01000000 */	0x2,
	/* 00100000 */	0x4,
	/* 00000000 */	 0,
	/* 01111100 */	0x3e,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 11111110 */	0x7f,
	/* 10000000 */	0x1,
	/* 01111100 */	0x3e,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  a8 '' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00001000 */	0x10,
	/* 00010000 */	0x8,
	/* 00000000 */	 0,
	/* 01111100 */	0x3e,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 11111110 */	0x7f,
	/* 10000000 */	0x1,
	/* 01111100 */	0x3e,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  a9 '' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00010000 */	0x8,
	/* 00101000 */	0x14,
	/* 00000000 */	 0,
	/* 01111100 */	0x3e,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 11111110 */	0x7f,
	/* 10000000 */	0x1,
	/* 01111100 */	0x3e,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  aa '' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00101000 */	0x14,
	/* 00101000 */	0x14,
	/* 00000000 */	 0,
	/* 01111100 */	0x3e,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 11111110 */	0x7f,
	/* 10000000 */	0x1,
	/* 01111100 */	0x3e,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  ab '' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00100000 */	0x4,
	/* 00010000 */	0x8,
	/* 00000000 */	 0,
	/* 00110000 */	0xc,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 01111100 */	0x3e,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  ac '' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00001000 */	0x10,
	/* 00010000 */	0x8,
	/* 00000000 */	 0,
	/* 00110000 */	0xc,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 01111100 */	0x3e,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  ad '' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00010000 */	0x8,
	/* 00101000 */	0x14,
	/* 00000000 */	 0,
	/* 00110000 */	0xc,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 01111100 */	0x3e,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  ae '' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00101000 */	0x14,
	/* 00101000 */	0x14,
	/* 00000000 */	 0,
	/* 00110000 */	0xc,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 01111100 */	0x3e,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  af '' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 01111100 */	0x3e,
	/* 10000010 */	0x41,
	/* 10000000 */	0x1,
	/* 10000000 */	0x1,
	/* 01000000 */	0x2,
	/* 00100000 */	0x4,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00000000 */	 0,
	/* 00010000 */	0x8,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  b0 '' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00110100 */	0x2c,
	/* 01001000 */	0x12,
	/* 00000000 */	 0,
	/* 10111100 */	0x3d,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  b1 '' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 01000000 */	0x2,
	/* 00100000 */	0x4,
	/* 00000000 */	 0,
	/* 01111100 */	0x3e,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 01111100 */	0x3e,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  b2 '' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00001000 */	0x10,
	/* 00010000 */	0x8,
	/* 00000000 */	 0,
	/* 01111100 */	0x3e,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 01111100 */	0x3e,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  b3 '' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00010000 */	0x8,
	/* 00101000 */	0x14,
	/* 00000000 */	 0,
	/* 01111100 */	0x3e,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 01111100 */	0x3e,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  b4 '' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00110100 */	0x2c,
	/* 01001000 */	0x12,
	/* 00000000 */	 0,
	/* 01111100 */	0x3e,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 01111100 */	0x3e,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  b5 '' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00101000 */	0x14,
	/* 00101000 */	0x14,
	/* 00000000 */	 0,
	/* 01111100 */	0x3e,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 01111100 */	0x3e,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  b6 '' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 01101100 */	0x36,
	/* 10010010 */	0x49,
	/* 10011110 */	0x79,
	/* 10010000 */	0x9,
	/* 10010010 */	0x49,
	/* 01101100 */	0x36,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  b7 '' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000010 */	0x40,
	/* 01111100 */	0x3e,
	/* 10001010 */	0x51,
	/* 10010010 */	0x49,
	/* 10010010 */	0x49,
	/* 10100010 */	0x45,
	/* 01111100 */	0x3e,
	/* 10000000 */	0x1,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  b8 '' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 01000000 */	0x2,
	/* 00100000 */	0x4,
	/* 00000000 */	 0,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 01111010 */	0x5e,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  b9 '' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00001000 */	0x10,
	/* 00010000 */	0x8,
	/* 00000000 */	 0,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 01111010 */	0x5e,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  ba '' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00010000 */	0x8,
	/* 00101000 */	0x14,
	/* 00000000 */	 0,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 01111010 */	0x5e,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  bb '' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00101000 */	0x14,
	/* 00101000 */	0x14,
	/* 00000000 */	 0,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 01111010 */	0x5e,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
/*  bc '' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00101000 */	0x14,
	/* 00101000 */	0x14,
	/* 00000000 */	 0,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 10000010 */	0x41,
	/* 01111100 */	0x3e,
	/* 00000010 */	0x40,
	/* 00000010 */	0x40,
	/* 01111100 */	0x3e,
/*  bd '' */
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 01111100 */	0x3e,
	/* 10000010 */	0x41,
	/* 10000000 */	0x1,
	/* 10000000 */	0x1,
	/* 01000000 */	0x2,
	/* 00100000 */	0x4,
	/* 00010000 */	0x8,
	/* 00010000 */	0x8,
	/* 00000000 */	 0,
	/* 00010000 */	0x8,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
	/* 00000000 */	 0,
};
