/*
 * @OSF_FREE_FREE_COPYRIGHT@
 * 
 */
/*
 * HISTORY
 * $Log: bugs.h,v $
 * Revision 1.1.2.1  1996/09/09  16:44:51  barbou
 * 	Use x86 to update uts_name.machine.
 * 	[96/09/05            barbou]
 *
 * 	Created.
 * 	[1996/08/21  11:33:58  barbou]
 *
 * $EndLog$
 */

#ifndef _ASM_OSFMACH3_I386_BUGS_H
#define _ASM_OSFMACH3_I386_BUGS_H

/*
 * This is included by init/main.c to check for architecture-dependent bugs.
 *
 * Needs:
 *	void check_bugs(void);
 */

#include <linux/config.h>

#define CONFIG_BUGosfmach3_i386

extern char x86;

static void check_bugs(void)
{
	system_utsname.machine[1] = '0' + x86;
}

#endif	/* _ASM_OSFMACH3_I386_BUGS_H */
