/*
 * @OSF_FREE_FREE_COPYRIGHT@
 * 
 */
/*
 * HISTORY
 * $Log: pgtable.h,v $
 * Revision 1.1.2.1  1996/09/09  16:46:27  barbou
 * 	Added SWP_TYPE definition for sys_swapon.
 * 	[96/09/04            barbou]
 *
 * 	Added SWP_OFFSET definition for shm.
 * 	[96/08/22            barbou]
 *
 * 	Added SWP_ENTRY definition.
 * 	[96/08/21            barbou]
 *
 * 	Created.
 * 	[1996/08/21  12:59:56  barbou]
 *
 * $EndLog$
 */

#ifndef _ASM_OSFMACH3_I386_PGTABLE_H
#define _ASM_OSFMACH3_I386_PGTABLE_H

#include <osfmach3/pgtable.h>

#define SWP_TYPE(entry) (((entry) >> 1) & 0x7f)
#define SWP_OFFSET(entry) ((entry) >> 8)
#define SWP_ENTRY(type,offset) (((type) << 1) | ((offset) << 8))

#endif	/* _ASM_OSFMACH3_I386_PGTABLE_H */
