/*
 * @OSF_FREE_FREE_COPYRIGHT@
 * 
 */
/*
 * HISTORY
 * $Log: pgtable.h,v $
 * Revision 1.1.2.2  1997/02/07  14:33:18  barbou
 * 	Added definition for flush_instruction_cache (empty).
 * 	Added prototype for flush_instruction_cache_range.
 * 	[1997/02/07  14:28:23  barbou]
 *
 * Revision 1.1.2.1  1996/09/18  14:23:21  barbou
 * 	Created.
 * 	[1996/09/11  17:00:38  barbou]
 * 
 * $EndLog$
 */

#ifndef _ASM_OSFMACH3_PPC_PGTABLE_H
#define _ASM_OSFMACH3_PPC_PGTABLE_H

#include <osfmach3/pgtable.h>

#define SWP_TYPE(entry) (((entry) >> 1) & 0x7f)
#define SWP_OFFSET(entry) ((entry) >> 8)
#define SWP_ENTRY(type,offset) (((type) << 1) | ((offset) << 8))

#define flush_instruction_cache()
extern void flush_instruction_cache_range(struct mm_struct *mm,
					  unsigned long start,
					  unsigned long end);

#endif	/* _ASM_OSFMACH3_PPC_PGTABLE_H */
