#
# Copyright 1996 1995 by Open Software Foundation, Inc. 1997 1996 1995 1994 1993 1992 1991  
#              All Rights Reserved 
#  
# Permission to use, copy, modify, and distribute this software and 
# its documentation for any purpose and without fee is hereby granted, 
# provided that the above copyright notice appears in all copies and 
# that both the copyright notice and this permission notice appear in 
# supporting documentation. 
#  
# OSF DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE 
# INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS 
# FOR A PARTICULAR PURPOSE. 
#  
# IN NO EVENT SHALL OSF BE LIABLE FOR ANY SPECIAL, INDIRECT, OR 
# CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM 
# LOSS OF USE, DATA OR PROFITS, WHETHER IN ACTION OF CONTRACT, 
# NEGLIGENCE, OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION 
# WITH THE USE OR PERFORMANCE OF THIS SOFTWARE. 
#
#
# MkLinux

${TARGET_MACHINE}_VPATH		= ${MACHINE}
${TARGET_MACHINE}_INCDIRS	= ${TARGET_MACHINE}

SFILES			= __main.o _setjmp.o gcc.o \
			  ffs.o memcmp.o memcpy.o memset.o \
			  strcat.o strcmp.o strcpy.o strlen.o \
			  strncat.o strncmp.o strncpy.o
CFILES                  = ctype.o strspn.o strtod.o strtol.o strtoul.o \
			  memmove.o

${TARGET_MACHINE}_CFLAGS	= -DOLD_COMPAT

${TARGET_MACHINE}_OFILES	= ${SFILES} ${CFILES}

${SFILES:.o=.S}: $${.TARGET:.S=.s}
	${RM} ${_RMFLAGS_} ${.TARGET}
	${CP} ${${.TARGET:.S=.s}:P} ${.TARGET}

${SFILES}: $${.TARGET:.o=.S}
	${_CC_} -DASSEMBLER ${_CCFLAGS_} -c ${.TARGET:.o=.S}
